<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\MemberRepository;

class MemberController extends Controller
{
    protected $members;

    public function __construct(
        MemberRepository $memberRepo
    ) {
        $this->members = $memberRepo;
    }

    public function memberEdit(Request $request)
    {
        $token    = csrf_token();
        $response = $this->members->edit($request);
        if ($response['status'] == true) {
            return back()->with('message', $response['message']);
        } else {
            return back()->withErrors([$response['message']]);
        }
    }
}
